<header>
    <div id="active-sticky" class="header-section">
        <div class="container position-relative">
            <div class="row align-items-center">
                <div class="col-6 col-md-3 col-md-3 col-lg-3">
                    <div class="header-logo">
                        <a href="/home">Dyqani Im</a>
                    </div>
                </div>
                <div class="col-md-6 col-lg-4 d-none d-lg-block">
                    <form action="#">
                        <div class="input-group border">
                            <input type="text" class="form-control border-0" placeholder="Enter your search key ... ">
                            <div class="input-group-text">
                                <button class="btn-search btn btn-hover-primary" type="submit">
                                    Search
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="col-6 col-md-9 col-lg-5">
                    <div class="d-flex align-items-center justify-content-end">
                        <nav class="main-menu d-none d-lg-inline-block">
                            <ul class="d-flex">
                                <li class="main-menu-item">
                                    <a class="main-menu-link" href="/home">Home</a>
                                </li>
                                <li class="main-menu-item">
                                    <a class="main-menu-link" href="/cart">Shporta</a>
                                </li>
                                <li class="main-menu-item">
                                    <a class="main-menu-link" href="#">Blog</a>
                                </li>
                                <li class="main-menu-item">
                                    <a class="main-menu-link" href="#">Contact</a>
                                </li>
                            </ul>
                        </nav>
                        <div class="d-flex align-items-center justify-content-end">
                            <div class="block-cart-btn-wrapp">
                                <button class="cart-action">
                                    <fa-icon [icon]="faShoppingCart"></fa-icon>
                                    <!-- <span class="badge">2</span> -->
                                </button>

                                <div class="checkout-cart" (change)="objectchange()">
                                    <ul class="checkout-scroll" (change)="objectchange()">
                                        <li id="minicart-product-{{product.value.id}}" class="checkout-cart-list" *ngFor="let product of miniCart | keyvalue"  (change)="objectchange()">
                                            <div class="checkout-img">
                                                <img class="product-image" src="https://picsum.photos/id/{{product.value.id}}/85/85" alt="img">
                                                <span class="product-quantity">{{product.value.stock}}</span>
                                            </div>
                                            <div class="checkout-block">
                                                <a class="product-name" href="/product/{{product.value.id}}">{{product.value.name}}</a>
                                                <span class="product-price">${{product.value.price}}</span>
                                                <a class="remove-cart" (click)="removeCart(product.value.id)">
                                                    <fa-icon [icon]="faTimes"></fa-icon>
                                                </a>
                                            </div>
                                        </li>
                                    </ul>
                                    <ul class="list-group checkout-sub-total">
                                        <li class="list-group-item">
                                            <div>Total</div>
                                            <div>$<span class="total-price">{{total}}</span></div>
                                        </li>
                                    </ul>

                                    <!-- checkout-action button start -->
                                    <div class="checkout-action">
                                        <a href="/checkout" class="btn btn-lg btn-primary d-block">Checkout</a>
                                    </div>
                                    <!-- checkout-action button end -->
                                </div>
                            </div>
                            <div *ngIf="auth.user | async; else defaultLoggin" class="block-user">
                                <div class="user-avatar">{{userAvatar}}</div>
                                <div class="user-menu">
                                    <ul>
                                        <li *ngIf="userRole"><a href="/myproducts">Dashboard</a></li>
                                        <li><a href="/profile">My Profile</a></li>
                                        <li><a href="/cart">Cart</a></li>
                                        <li><a href="/orders">Orders</a></li>
                                        <li (click)="logout()">Logout</li>
                                    </ul>
                                </div>
                            </div>
                            <ng-template #defaultLoggin>
                                <div class="block-user">
                                    <div class="user-avatar"><fa-icon [icon]="faUser"></fa-icon></div>
                                    <div class="user-menu">
                                        <ul>
                                            <li><a href="/login">Sign In</a></li>
                                            <li><a href="/register">Register</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </ng-template>
                            <button class="toggle" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                <span class="icon-top"></span>
                                <span class="icon-middle"></span>
                                <span class="icon-bottom"></span>
                            </button>
                        </div>
                    </div>
                </div>
                <!-- Header Menu End -->
            </div>
        </div>
    </div>
</header>